Uipath citrix recording mismatched UiPath package versions

Hi,

I use Studio 2019.10.0-beta.252 - 10/22/2019 and when use citrix recording, give me the error:

image

May I downgrade to studio 19.4?

Best Regard

Juan Carlos Zazueta

@Juan_Carlos_Zazueta

Yes you can. Uninstall latest version and install new version.

1 Like

Just like @lakshman mentioned, you can either downgrade or upgrade the versions. We should always maintain the same version in all the machines we are running the robots

1 Like

@lakshman,

Thank you.
Where I can get the last Comunity version. Because last time I reinstall with the link that was send me when I request using Uipath.

Best Regards

@Juan_Carlos_Zazueta

1 Like

@Lahiru.Fernando

How can I downgrade the version. Is there a repository of versions of Studio.
Is There a procedure to do it.

Best Regards
@Juan_Carlos_Zazueta

@Juan_Carlos_Zazueta

If you want old version Enterprise Edition of Uipath studio then we can request it from Uipath team but Community Edition we won’t get old version.

As you said you installed in other machine right. You can copy that application from other machine this Machine and install it.

@lakshman,

If I desinstall the version that currently have. And Reinstall with the original setup that I have, this will install and update to the last version. This is right?

Best Regards
@Juan_Carlos_Zazueta

1 Like

@Juan_Carlos_Zazueta

Yes, Exactly.

And one more thing after uninstalling latest version and delete appData folder and then install old version uipath studio application.

@lakshman,
Well I did it, but now I have problem with the AllDependencies.json file because is asking for the
“UiPath.UIAutomation.Activities/19.10.0-ce” and in the tab “Manage Packages” if I update this to 19.4.2 it mark error in activity Click ‘GfxRender1’.

What may I do to fix this issue.

Best Regards

@Juan_Carlos_Zazueta

I guess the file name is project.json

Delete this file from that process folder and then open Main.xaml file and update packages if it asks anything.

@lakshman,

I did a copy of the project.json. After this the problem remains. But I restore the original project.json. The problem is with AllDependencies.json, but some reason the package
“UiPath.UIAutomation.Activities/19.10.0-ce” upgrade to that, and it must be in version 19.4.2.but if a downgrade the package in question, it doesn´t it mark that activities are missing and doesn´t allow me to save the workflow.
What would you sugest?

Regards
@Juan_Carlos_Zazueta